Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.groovydoc
Interface GroovyRootDoc

All Superinterfaces:
  Comparable, GroovyDoc, GroovyDocErrorReporter

All Known Implementing Classes:
  SimpleGroovyRootDoc

    public interface GroovyRootDoc

extends GroovyDoc, GroovyDocErrorReporter

Method Summary
`GroovyClassDoc[]` | `classes()`
`GroovyClassDoc` | `classNamed(String arg0)`
`Map` | `getVisibleClasses(List importedClassesAndPackages)`
`String[][]` | `options()`
`GroovyPackageDoc` | `packageNamed(String arg0)`
`GroovyClassDoc[]` | `specifiedClasses()`
`GroovyPackageDoc[]` | `specifiedPackages()`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDocErrorReporter
`printError, printNotice, printWarning`

Method Detail

### classNamed

    GroovyClassDoc classNamed(String arg0)

### classes

    GroovyClassDoc[] classes()

### options

    String[][] options()

### packageNamed

    GroovyPackageDoc packageNamed(String arg0)

### specifiedClasses

    GroovyClassDoc[] specifiedClasses()

### specifiedPackages

    GroovyPackageDoc[] specifiedPackages()

### getVisibleClasses

    Map getVisibleClasses(List importedClassesAndPackages)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD